Skip to main content
`Ctrl`+`K`

# TimeTableCoordinate

class ndcube.extra_coords.TimeTableCoordinate(

  *tables,
  names=None,
  physical_types=None,
  reference_time=None,

)

  Bases: `BaseTableCoordinate`

  A lookup table based on a `Time`, will always be one dimensional.

  Parameters:

    - table (`Time`) – Time coordinates. Only one can be provided and must be 1D.

    - names (`str` or `list` of `str`) – Custom names for the components of the SkyCoord. If provided, a name must be given for each component.

    - physical_types (str` or `list` of `str`) – Physical types of the components of the SkyCoord. If provided, a physical type must be given for each component.

    - reference_time (`Time`, optional) – The reference time of the time coordinates. Default is first time coordinate in table input.

  Attributes Summary

  `frame` | Generate the Frame for this LookupTable.
  `model` | Generate the Astropy Model for this LookupTable.
  `n_inputs` | Number of pixel dimensions in this table.

  Methods Summary

  `interpolate`(new_array_grids, **kwargs) | Interpolate TimeTableCoordinate to new array index grids.
  `is_scalar`() | Return a boolean if this coordinate is a scalar.

  Attributes Documentation

  frame

    Generate the Frame for this LookupTable.

  model

    Generate the Astropy Model for this LookupTable.

  n_inputs

  Methods Documentation

  interpolate(new_array_grids, **kwargs)

    Interpolate TimeTableCoordinate to new array index grids.

    Kwargs are passed to underlying interpolation function.

    Parameters:

      new_array_grids (array-like) – The array index values at which the the new values of the coords are desired. A grid must be supplied for each pixel axis (in array-axis order). All grids must be the same shape.

    Returns:

      new_coord – New TableCoordinate object holding the interpolated coords.

    Return type:

      `TimeTableCoordinate`

  is_scalar()

    Return a boolean if this coordinate is a scalar.

    This is used by `MultipleTableCoordinate` and `ndcube.ExtraCoords` to know if the dimension has been “dropped”.